Bug 1899294 - GCC crashes when building Firefox 83
Summary: GCC crashes when building Firefox 83
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-18 20:11 UTC by Martin Stransky
Modified: 2020-12-13 02:34 UTC (History)
10 users (show)

Fixed In Version: gcc-10.2.1-9.fc33 gcc-10.2.1-9.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-30 01:08:59 UTC
Type: Bug


Attachments (Terms of Use)
/tmp/cccNcMkW.out file (8.26 MB, text/x-csrc)
2020-11-18 20:11 UTC, Martin Stransky
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNU Compiler Collection 97918 0 P3 RESOLVED [8/9/10/11 Regression] ICE near htab_hash_string when LTO, -O & -g 2021-01-21 20:12:45 UTC

Description Martin Stransky 2020-11-18 20:11:56 UTC
Created attachment 1730717 [details]
/tmp/cccNcMkW.out file

Description of problem:
GCC crashes when building Firefox 83 with LTO enabled:

/home/komat/CVS/firefox/firefox-83.0/accessible/ipc/other/ProxyAccessible.cpp:856:1: internal compiler error: Segmentation fault
  856 | }  // namespace mozilla
      | ^
Please submit a full bug report,

Preprocessed source stored into /tmp/cccNcMkW.out file, please attach this to your bugreport.


Version-Release number of selected component (if applicable):
gcc-10.2.1-6.fc33.x86_64


How reproducible:
Always

Comment 1 Martin Stransky 2020-11-18 20:13:06 UTC
There are more crashes as I do parallel build:

/home/komat/CVS/firefox/firefox-83.0/accessible/atk/Platform.cpp:327:1: internal compiler error: Segmentation fault
  327 | }
      | ^
Please submit a full bug report,

and so on...

Comment 2 Martin Stransky 2020-11-18 20:18:45 UTC
Koji Fedora 33 build is here, to reproduce it just download the src.rpm and rebuild locally:

https://koji.fedoraproject.org/koji/taskinfo?taskID=55826033

Comment 3 Jakub Jelinek 2020-11-19 11:48:19 UTC
Reproduced, also gcc trunk is affected, -g -O2 -std=gnu++17 -flto is enough to reproduce and the ICE is during debug info generation.
Reducing now.

Comment 4 Fedora Update System 2020-11-27 09:52:59 UTC
FEDORA-2020-25659ed5b0 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-25659ed5b0

Comment 5 Fedora Update System 2020-11-27 09:54:20 UTC
FEDORA-2020-9e8ad5b507 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9e8ad5b507

Comment 6 Fedora Update System 2020-11-28 02:55:35 UTC
FEDORA-2020-25659ed5b0 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-25659ed5b0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-25659ed5b0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-11-28 03:04:18 UTC
FEDORA-2020-9e8ad5b507 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-9e8ad5b507`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9e8ad5b507

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-11-30 01:08:59 UTC
FEDORA-2020-25659ed5b0 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-12-13 02:34:54 UTC
FEDORA-2020-9e8ad5b507 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.